MeasurementEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.ext.MeasurementEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.ext
Class MeasurementEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.measurement.ext.MeasurementEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ResourceEventInterface

    public class MeasurementEvent

extends AbstractEvent
implements java.io.Serializable, ResourceEventInterface

See Also:
  Serialized Form

Constructor Summary
`MeasurementEvent(java.lang.Integer mid, MetricValue value)`

Method Summary
`AppdefEntityID` | `getResource()`
`java.lang.String` | `getUnits()`
`MetricValue` | `getValue()`
`void` | `setResource(AppdefEntityID resource)`
`void` | `setUnits(java.lang.String units)`
`void` | `setValue(MetricValue value)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, getTimestamp, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementEvent

    public MeasurementEvent(java.lang.Integer mid,
                            MetricValue value)

Method Detail

### getResource

    public AppdefEntityID getResource()

  Specified by:
    `getResource` in interface `ResourceEventInterface`

### getValue

    public MetricValue getValue()

### setValue

    public void setValue(MetricValue value)

### getUnits

    public java.lang.String getUnits()

### setResource

    public void setResource(AppdefEntityID resource)

### setUnits

    public void setUnits(java.lang.String units)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.